Package org.opensaml.security.crypto.ec

# Interface NamedCurve

All Known Implementing Classes:
  `AbstractNamedCurve`, `BasicNamedCurve`, `BrainpoolP256r1`, `BrainpoolP320r1`, `BrainpoolP384r1`, `BrainpoolP512r1`, `Secp112r1`, `Secp112r2`, `Secp128r1`, `Secp128r2`, `Secp160k1`, `Secp160r1`, `Secp160r2`, `Secp192k1`, `Secp192r1`, `Secp224k1`, `Secp224r1`, `Secp256k1`, `Secp256r1`, `Secp384r1`, `Secp521r1`, `Sect113r1`, `Sect113r2`, `Sect131r1`, `Sect131r2`, `Sect163k1`, `Sect163r1`, `Sect163r2`, `Sect193r1`, `Sect193r2`, `Sect233k1`, `Sect233r1`, `Sect239k1`, `Sect283k1`, `Sect283r1`, `Sect409k1`, `Sect409r1`, `Sect571k1`, `Sect571r1`, `X962c2tnb191v1`, `X962c2tnb191v2`, `X962c2tnb191v3`, `X962c2tnb239v1`, `X962c2tnb239v2`, `X962c2tnb239v3`, `X962c2tnb359v1`, `X962c2tnb431r1`, `X962prime192v2`, `X962prime192v3`, `X962prime239v1`, `X962prime239v2`, `X962prime239v3`

public interface NamedCurve
Descriptor for an EC named curve.

## Method Summary

Modifier and Type
Method
Description
`default int`
`getKeyLength()`
Get the length of a key based on the curve.
`String`
`getName()`
Get the curve's canonical name by which it is known to the Java Cryptography Architecture (JCA).
`String`
`getObjectIdentifier()`
Get the curve's object identifier (OID).
`ECParameterSpec`
`getParameterSpec()`
Get the curve's `ECParameterSpec`.
`default String`
`getURI()`
Get the curve's URI.

## Method Details

### getObjectIdentifier

@Nonnull String getObjectIdentifier()
Get the curve's object identifier (OID).

Returns:
  the OID

### getURI

@Nonnull default String getURI()
Get the curve's URI.

Returns:
  the URI

### getName

@Nonnull String getName()
Get the curve's canonical name by which it is known to the Java Cryptography Architecture (JCA).

Returns:
  the name

### getParameterSpec

@Nonnull ECParameterSpec getParameterSpec()
Get the curve's `ECParameterSpec`.

Returns:
  the parameter spec instance

### getKeyLength

default int getKeyLength()
Get the length of a key based on the curve.

Returns:
  the key length, in bits